Subject: bug#49598: 28.0.50; [Feature Request] Support slurping and barfing operations in lisp-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Aug 2021 14:14:37 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not quite sure what the request is here -- to add key bindings for
> `paredit-forward-slurp-sexp' and `paredit-forward-barf-sexp' to
> `emacs-lisp-mode?  (Or `lisp-mode-shared-map', I guess...)
>
> I'm not sure these are commands that are generally used that much to
> warrant doing that, and I think people that are really into these things
> just enable paredit mode (or something similar).
>
> But I may be wrong in that -- if there's a clamouring for these commands
> having a key binding in Lispish modes, I wouldn't be against adding
> them.  What do the rest of you people think?

Nobody seemed to want to hoist these functions up from paredit, and they
work fine where they are, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no